
From: Tom Rini <trini@kernel.crashing.org>

PPC32: Select arch/ppc/kernel/head.S on CONFIG_PPC_STD_MMU.

- Don't pick a head*.S by default, instead select head.S on
  CONFIG_PPC_STD_MMU.  This is more consistent with how we
  case things in this file.



 25-akpm/arch/ppc/kernel/Makefile |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN arch/ppc/kernel/Makefile~ppc-CONFIG_PPC_STD_MMU-fix arch/ppc/kernel/Makefile
--- 25/arch/ppc/kernel/Makefile~ppc-CONFIG_PPC_STD_MMU-fix	Wed Dec 24 13:54:49 2003
+++ 25-akpm/arch/ppc/kernel/Makefile	Wed Dec 24 13:54:49 2003
@@ -9,8 +9,7 @@ ifdef CONFIG_4xx
 EXTRA_AFLAGS		:= -Wa,-m405
 endif
 
-# Start off with 'head.o', change as needed.
-extra-y				:= head.o
+extra-$(CONFIG_PPC_STD_MMU)	:= head.o
 extra-$(CONFIG_40x)		:= head_4xx.o
 extra-$(CONFIG_44x)		:= head_44x.o
 extra-$(CONFIG_8xx)		:= head_8xx.o

_
